pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT > Struct Template Reference
Module geometry

The mesh traits are used to set up compile time settings for the mesh. More...

`#include <pcl/geometry/mesh_traits.h>`

## Public Types

typedef VertexDataT | VertexData
typedef HalfEdgeDataT | HalfEdgeData
typedef EdgeDataT | EdgeData
typedef FaceDataT | FaceData
typedef boost::false_type | IsManifold
| Specifies wether the mesh is manifold or not (only non-manifold vertices can be represented). More...

## Detailed Description

### template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>
struct pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >

The mesh traits are used to set up compile time settings for the mesh.

Template Parameters

  VertexDataT | Data stored for each vertex. Defaults to pcl::NoData.
  HalfEdgeDataT | Data stored for each half-edge. Defaults to pcl::NoData.
  EdgeDataT | Data stored for each edge. Defaults to pcl::NoData.
  FaceDataT | Data stored for each face. Defaults to pcl::NoData.

Author
  Martin Saelzle

Definition at line 73 of file mesh_traits.h.

## Member Typedef Documentation

## EdgeData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

typedef EdgeDataT pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::EdgeData

Definition at line 77 of file mesh_traits.h.

## FaceData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

typedef FaceDataT pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::FaceData

Definition at line 78 of file mesh_traits.h.

## HalfEdgeData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

typedef HalfEdgeDataT pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::HalfEdgeData

Definition at line 76 of file mesh_traits.h.

## IsManifold

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

typedef boost::false_type pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::IsManifold

Specifies wether the mesh is manifold or not (only non-manifold vertices can be represented).

Definition at line 81 of file mesh_traits.h.

## VertexData

template<class VertexDataT = pcl::geometry::NoData, class HalfEdgeDataT = pcl::geometry::NoData, class EdgeDataT = pcl::geometry::NoData, class FaceDataT = pcl::geometry::NoData>

typedef VertexDataT pcl::geometry::DefaultMeshTraits< VertexDataT, HalfEdgeDataT, EdgeDataT, FaceDataT >::VertexData

Definition at line 75 of file mesh_traits.h.

The documentation for this struct was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/geometry/include/pcl/geometry/mesh_traits.h